json-c 0.14

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
json_tokener Struct Reference

## Data Fields

char * | str
struct printbuf * | pb
int | max_depth
int | depth
int | is_double
int | st_pos
int | char_offset
enum json_tokener_error | err
unsigned int | ucs_char
char | quote_char
struct json_tokener_srec * | stack
int | flags

## Detailed Description

Internal state of the json parser. Do not access any fields of this structure directly. Its definition is published due to historical limitations in the json tokener API, and will be changed to be an opaque type in the future.

## Field Documentation

int json_tokener::char_offset

Deprecated:
  See json_tokener_get_parse_end() instead.

int json_tokener::depth

enum json_tokener_error json_tokener::err

Deprecated:
  See json_tokener_get_error() instead.

int json_tokener::flags

int json_tokener::is_double

int json_tokener::max_depth

struct printbuf* json_tokener::pb

char json_tokener::quote_char

int json_tokener::st_pos

struct json_tokener_srec* json_tokener::stack

char* json_tokener::str

Deprecated:
  Do not access any of these fields outside of json_tokener.c

unsigned int json_tokener::ucs_char

The documentation for this struct was generated from the following file:

- json_tokener.h